<template lang="pug">
  .error(v-bind:class="{ shown: isFileErrorShown, hidden: !isFileErrorShown}")
    p(v-if="incorrectType.length") Some file(s) are not PNG/JPEG.
    p(v-if="incorrectSize.length") Some file(s) are larger than 50MB.
</template>

<script>
import { mapState } from 'vuex'

export default {
  name: 'FileError',
  computed: {
    ...mapState({
      incorrectType: state => state.editor.errors.files.incorrectType,
      incorrectSize: state => state.editor.errors.files.incorrectSize,
    }),
    isFileErrorShown: function() {
      return this.incorrectType.length || this.incorrectSize.length
    }
  }
}
</script>

<style lang="scss" scoped>
.error {
  position: absolute;
  margin-left: auto;
  margin-right: auto;
  z-index: 40;
  background-color: #ff3a3a;
  padding: 16px;
  color: white;
  border-radius: 100px;
  opacity: 0.9;
  white-space: nowrap;
  text-align: center;
  overflow: hidden;
  width: 400px;
  left: calc(50% - 200px);

  p {
    margin: 0;
  }

  &.shown {
    opacity: 1;
    top: 72px;
    transition: top 0.3s, opacity 0.5s;
  }

  &.hidden {
    top: -72px;
    opacity: 0;
    transition: top 0.5s, opacity 0.3s;
  }
}
</style>
